ECHO OFF

:: CHCP
CHCP 1252
SET ae=ä
SET oe=ö
SET ue=ü
CHCP 850
CLS

:: Hauptmenü
:MENU
TITLE Controlpanel - Hauptmen%ue%
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   1: Server verwalten
ECHO   2: Dienste verwalten
ECHO   3: Logs l%oe%schen
ECHO   4: Hilfe
ECHO.
SET /P wahl=^> 
IF /i "%wahl%"=="1" GOTO:1
IF /i "%wahl%"=="2" GOTO:2
IF /i "%wahl%"=="3" GOTO:3
IF /i "%wahl%"=="4" GOTO:4
IF /i "%wahl%"=="Exit" GOTO:Exit
ECHO.
ECHO   Falsche Auswahl!
PING Localhost -n 2 > NUL
GOTO:MENU

:: Server verwalten
:1
TITLE Controlpanel - Server verwalten
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   1: Server starten
ECHO   2: Zonen starten
ECHO.
ECHO   3: Server stoppen
ECHO   4: Zonen stoppen
ECHO.
SET /P wahl=^> 
IF /i "%wahl%"=="1" GOTO:OSERVER
IF /i "%wahl%"=="2" GOTO:OZONEN
IF /i "%wahl%"=="3" GOTO:XSERVER
IF /i "%wahl%"=="4" GOTO:XZONEN
IF /i "%wahl%"=="menu" GOTO:MENU
ECHO.
ECHO   Falsche Auswahl!
PING Localhost -n 2 > NUL
GOTO:1

:: Server starten
:OSERVER
ECHO.
SC START AccountLogDB_Server
SC START Character_DB_Server0
SC START GameLog_DB_Server0
SC START Login_Server
SC START Manager_Server0
SC START AESIRGAMES_OdinRestServer
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Server wurde gestartet ..
PING Localhost -n 2 >NUL
GOTO:1

:: Zonen starten
:OZONEN
ECHO.
SC START Zone_Server00
SC START Zone_Server01
SC START Zone_Server02
SC START Zone_Server03
SC START Zone_Server04
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zonen wurden gestartet ..
PING Localhost -n 2 >NUL
GOTO:1

:: Server stoppen
:XSERVER
ECHO.
SC STOP AccountLogDB_Server
SC STOP Character_DB_Server0
SC STOP GameLog_DB_Server0
SC STOP Login_Server
SC STOP Manager_Server0
SC STOP AESIRGAMES_OdinRestServer
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Server wurde gestoppt ..
PING Localhost -n 2 >NUL
GOTO:1

:: Zonen stoppen
:XZONEN
ECHO.
SC STOP Zone_Server00
SC STOP Zone_Server01
SC STOP Zone_Server02
SC STOP Zone_Server03
SC STOP Zone_Server04
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zonen wurden gestoppt ..
PING Localhost -n 2 >NUL
GOTO:1

:: Dienste verwalten
:2
TITLE Controlpanel - Dienste verwalten
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   1: Dienste anzeigen
ECHO.
ECHO   2: Dienst l%oe%schen
ECHO   3: Alle Dienste l%oe%schen
ECHO.
SET /P wahl=^> 
IF /i "%wahl%"=="1" GOTO:SHOWSERVICES
IF /i "%wahl%"=="2" GOTO:DELSERVICE
IF /i "%wahl%"=="3" GOTO:DELSERVICES
IF /i "%wahl%"=="menu" GOTO:MENU
ECHO.
ECHO   Falsche Auswahl!
PING Localhost -n 2 > NUL
GOTO:2

:: Dienste anzeigen
:SHOWSERVICES
START services.msc
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Erfolgreich ausgef%ue%hrt ..
PING Localhost -n 2 >NUL
GOTO:2

:: Dienst löschen
:DELSERVICE
CLS
TITLE Controlpanel - Dienst l%oe%schen
COLOR 7
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Welchen Dienst m%oe%chtest du l%oe%schen?
ECHO.
ECHO    1: AccountLog
ECHO    2: Character
ECHO    3: GameLog
ECHO.
ECHO    4: LoginServer
ECHO    5: WorldManager
ECHO    6: RestServer
ECHO.
ECHO    7: Zone00
ECHO    8: Zone01
ECHO    9: Zone02
ECHO    10: Zone03
ECHO    11: Zone04
ECHO.
SET /P wahl=^> 
IF /i "%wahl%"=="1" GOTO:DELACCOUNT
IF /i "%wahl%"=="2" GOTO:DELCHARACTER
IF /i "%wahl%"=="3" GOTO:DELGAMELOG
IF /i "%wahl%"=="4" GOTO:DELLOGIN
IF /i "%wahl%"=="5" GOTO:DELWORLD
IF /i "%wahl%"=="6" GOTO:DELREST
IF /i "%wahl%"=="7" GOTO:DELZONE0
IF /i "%wahl%"=="8" GOTO:DELZONE1
IF /i "%wahl%"=="9" GOTO:DELZONE2
IF /i "%wahl%"=="10" GOTO:DELZONE3
IF /i "%wahl%"=="11" GOTO:DELZONE4
IF /i "%wahl%"=="menu" GOTO:MENU
ECHO.
ECHO   Falsche Auswahl!
PING Localhost -n 2 > NUL
GOTO:DELSERVICE

:: AccountLog löschen
:DELACCOUNT
SC DELETE AccountLogDB_Server
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   AccountLog wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Character löschen
:DELCHARACTER
SC DELETE Character_DB_Server0
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Character wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: GameLog löschen
:DELGAMELOG
SC DELETE GameLog_DB_Server0
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   GameLog wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: LoginServer
:DELLOGIN
SC DELETE Login_Server
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   LoginServer wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: WorldManager
:DELWORLD
SC DELETE Manager_Server0
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   WorldManager wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: RestServer
:DELREST
SC DELETE AESIRGAMES_OdinRestServer
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   RestServer wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Zone00
:DELZONE0
SC DELETE Zone_Server00
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zone01 wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Zone01
:DELZONE1
SC DELETE Zone_Server01
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zone02 wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Zone02
:DELZONE2
SC DELETE Zone_Server02
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zone03 wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Zone03
:DELZONE3
SC DELETE Zone_Server03
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zone04 wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Zone04
:DELZONE4
SC DELETE Zone_Server04
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Zone05 wurde erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:DELSERVICE

:: Alle Dienste löschen
:DELSERVICES
SC DELETE AccountLogDB_Server
SC DELETE Character_DB_Server0
SC DELETE GameLog_DB_Server0
SC DELETE Login_Server
SC DELETE Manager_Server0
SC DELETE AESIRGAMES_OdinRestServer
SC DELETE Zone_Server00
SC DELETE Zone_Server01
SC DELETE Zone_Server02
SC DELETE Zone_Server03
SC DELETE Zone_Server04
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Alle Dienste wurden erfolgreich gel%oe%scht!
PING Localhost -n 2 >NUL
GOTO:2

:: Logs löschen
:3
DEL /S /Q "9Data\SubAbState*.txt"

RMDIR /S /Q "AccountLog\DebugMessage"
RMDIR /S /Q "Character\DebugMessage"
RMDIR /S /Q "GameLog\DebugMessage"
RMDIR /S /Q "Login\DebugMessage"

DEL /S /Q "Character\Assert*.txt"


DEL /S /Q "GameLog\GameLog*.txt"

DEL /S /Q "REST\Socke*.txt"
DEL /S /Q "REST\BrokenL*.txt"
DEL /S /Q "REST\Return*.txt"
DEL /S /Q "REST\Reques*.txt"
DEL /S /Q "REST\Mai*.txt"
DEL /S /Q "REST\Databa*.txt"
DEL /S /Q "REST\Unknown*.txt"
DEL /S /Q "REST\setItemUsed*.txt"
DEL /S /Q "REST\BrokenLog*.txt"

RMDIR /S /Q "World\DebugMessage"
RMDIR /S /Q "World\DebugClient"
DEL /S /Q "World\DebugClient\msg*.txt"

RMDIR /S /Q "Zone00\DebugMessage"
DEL /S /Q "Zone00\ShineStac*.txt"
DEL /S /Q "Zone00\Amper*.txt"
DEL /S /Q "Zone00\Asser*.txt"
DEL /S /Q "Zone00\ExitL*.txt"
DEL /S /Q "Zone00\KQLog*.txt"
DEL /S /Q "Zone00\MapLo*.txt"
DEL /S /Q "Zone00\Messa*.txt"
DEL /S /Q "Zone00\MoreDisc*.txt"
DEL /S /Q "Zone00\SocketMu*.txt"
DEL /S /Q "Zone00\5ZoneServerDumpStack*.txt*
DEL /S /Q "Zone00\CoordRepairLog*.txt*
DEL /S /Q "Zone00\5ZoneServer2.exe*.txt*
DEL /S /Q "Zone00\5ZoneServer2.exe*.mdmp*
DEL /S /Q "Zone00\Dbg.txt*

RMDIR /S /Q "Zone01\DebugMessage"
DEL /S /Q "Zone01\ShineStac*.txt"
DEL /S /Q "Zone01\Amper*.txt"
DEL /S /Q "Zone01\Asser*.txt"
DEL /S /Q "Zone01\ExitL*.txt"
DEL /S /Q "Zone01\KQLog*.txt"
DEL /S /Q "Zone01\MapLo*.txt"
DEL /S /Q "Zone01\Messa*.txt"
DEL /S /Q "Zone01\MoreDisc*.txt"
DEL /S /Q "Zone01\SocketMu*.txt"
DEL /S /Q "Zone01\5ZoneServerDumpStack*.txt*
DEL /S /Q "Zone01\CoordRepairLog*.txt*
DEL /S /Q "Zone01\5ZoneServer2.exe*.txt*
DEL /S /Q "Zone01\5ZoneServer2.exe*.mdmp*
DEL /S /Q "Zone01\Dbg.txt*


RMDIR /S /Q "Zone02\DebugMessage"
DEL /S /Q "Zone02\ShineStac*.txt"
DEL /S /Q "Zone02\Amper*.txt"
DEL /S /Q "Zone02\Asser*.txt"
DEL /S /Q "Zone02\ExitL*.txt"
DEL /S /Q "Zone02\KQLog*.txt"
DEL /S /Q "Zone02\MapLo*.txt"
DEL /S /Q "Zone02\Messa*.txt"
DEL /S /Q "Zone02\MoreDisc*.txt"
DEL /S /Q "Zone02\SocketMu*.txt"
DEL /S /Q "Zone02\5ZoneServerDumpStack*.txt*
DEL /S /Q "Zone02\CoordRepairLog*.txt*
DEL /S /Q "Zone02\5ZoneServer2.exe*.txt*
DEL /S /Q "Zone02\5ZoneServer2.exe*.mdmp*
DEL /S /Q "Zone02\Dbg.txt*

RMDIR /S /Q "Zone03\DebugMessage"
DEL /S /Q "Zone03\ShineStac*.txt"
DEL /S /Q "Zone03\Amper*.txt"
DEL /S /Q "Zone03\Asser*.txt"
DEL /S /Q "Zone03\ExitL*.txt"
DEL /S /Q "Zone03\KQLog*.txt"
DEL /S /Q "Zone03\MapLo*.txt"
DEL /S /Q "Zone03\Messa*.txt"
DEL /S /Q "Zone03\MoreDisc*.txt"
DEL /S /Q "Zone03\SocketMu*.txt"
DEL /S /Q "Zone03\5ZoneServerDumpStack*.txt*
DEL /S /Q "Zone03\CoordRepairLog*.txt*
DEL /S /Q "Zone03\5ZoneServer2.exe*.txt*
DEL /S /Q "Zone03\5ZoneServer2.exe*.mdmp*
DEL /S /Q "Zone03\Dbg.txt*

RMDIR /S /Q "Zone04\DebugMessage"
DEL /S /Q "Zone04\ShineStac*.txt"
DEL /S /Q "Zone04\Amper*.txt"
DEL /S /Q "Zone04\Asser*.txt"
DEL /S /Q "Zone04\ExitL*.txt"
DEL /S /Q "Zone04\KQLog*.txt"
DEL /S /Q "Zone04\MapLo*.txt"
DEL /S /Q "Zone04\Messa*.txt"
DEL /S /Q "Zone04\MoreDisc*.txt"
DEL /S /Q "Zone04\SocketMu*.txt"
DEL /S /Q "Zone04\5ZoneServerDumpStack*.txt*
DEL /S /Q "Zone04\CoordRepairLog*.txt*
DEL /S /Q "Zone04\5ZoneServer2.exe*.txt*
DEL /S /Q "Zone04\5ZoneServer2.exe*.mdmp*
DEL /S /Q "Zone04\Dbg.txt*

CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Logs wurden erfolgreich gel%oe%scht
PING Localhost -n 2 >NUL
GOTO:MENU

::Hilfe
:4
TITLE Controlpanel - Hilfe
CLS
ECHO Controlpanel [Version 4.0]
ECHO Copyright (c) 2014 Cloud. Alle Rechte vorbehalten.
ECHO.
ECHO   Weitere Befehle:
ECHO.
ECHO   menu ^> Zur%ue%ck
ECHO   exit ^> Programm beenden (Funktioniert nur im Hauptmen%ue%)
ECHO.
SET /P wahl=^> 
IF /i "%wahl%"=="menu" GOTO:MENU
ECHO.
ECHO   Falsche Auswahl!
PING Localhost -n 2 > NUL
GOTO:MENU

:Exit
Exit